[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gluster-devel] Compile Failure on Solaris: wrong ELF class: ELFCLAS

From: Devon Miller
Subject: Re: [Gluster-devel] Compile Failure on Solaris: wrong ELF class: ELFCLASS64
Date: Sun, 5 Jun 2011 20:22:35 -0400

That error indicates ld is trying to build a 32-bit executable, but the file is a 64-bin ELF object.

Somewhere there is missing -m64, or a -m32 where there should be a m64.


On Fri, Jun 3, 2011 at 3:23 PM, Nick Couchman <address@hidden> wrote:
Hey, everyone,
I'm trying to compile Gluster 3.2.0 on Solaris 11 Express, and am
getting the following error:

ld: fatal: file .libs/libglusterfs_la-dict.o: wrong ELF class:

I was wondering if anyone else has run into this issue, or if anyone has
been successful getting the latest glusterfs compiled on the latest
Solaris O/S?  I can post more of the output, if necessary - right now
I'm just copying it off the console, so that's about all I can do.


This e-mail may contain confidential and privileged material for the sole use of the intended recipient.  If this email is not intended for you, or you are not responsible for the delivery of this message to the intended recipient, please note that this message may contain SEAKR Engineering (SEAKR) Privileged/Proprietary Information.  In such a case, you are strictly prohibited from downloading, photocopying, distributing or otherwise using this message, its contents or attachments in any way.  If you have received this message in error, please notify us immediately by replying to this e-mail and delete the message from your mailbox.  Information contained in this message that does not relate to the business of SEAKR is neither endorsed by nor attributable to SEAKR.

Gluster-devel mailing list

reply via email to

[Prev in Thread] Current Thread [Next in Thread]